package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description 活动页曲目信息
 *
 * @author liujunchi
 * @date 2022-08-05
 */
@ApiModel("活动页曲目信息")
public class ActivityMusicVo {

    @ApiModelProperty("评测项目id")
    private Long evaluationId;

    @ApiModelProperty("曲目id")
    private Long musicSheetId;

    @ApiModelProperty("曲目名")
    private String musicSheetName;


    @ApiModelProperty("曲目声部")
    private String musicSubject;


    @ApiModelProperty("是否参与 0：否 1：是")
    private YesOrNoEnum join;


    @ApiModelProperty("最高分")
    private double score;


    @ApiModelProperty("最高分的用户id")
    private Long userId;

    @ApiModelProperty("最高分用户头像")
    private String userAvatar;

    @ApiModelProperty("最高分用户名")
    private String username;

    @ApiModelProperty("最高分用户声部")
    private String userSubject;

    @ApiModelProperty("声部ID")
    private String subjectId;

    @ApiModelProperty("作曲人")
    private String composer;

    @ApiModelProperty("曲目图片")
    private String musicImage;

    @ApiModelProperty("评测难度 BEGINNER 入门级 ADVANCED 进阶级 PERFORMER 大师级")
    private String  evaluationDifficulty;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getEvaluationId() {
        return evaluationId;
    }

    public void setEvaluationId(Long evaluationId) {
        this.evaluationId = evaluationId;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public String getMusicSheetName() {
        return musicSheetName;
    }

    public void setMusicSheetName(String musicSheetName) {
        this.musicSheetName = musicSheetName;
    }

    public String getMusicSubject() {
        return musicSubject;
    }

    public void setMusicSubject(String musicSubject) {
        this.musicSubject = musicSubject;
    }

    public YesOrNoEnum getJoin() {
        return join;
    }

    public void setJoin(YesOrNoEnum join) {
        this.join = join;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUserSubject() {
        return userSubject;
    }

    public void setUserSubject(String userSubject) {
        this.userSubject = userSubject;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getComposer() {
        return composer;
    }

    public void setComposer(String composer) {
        this.composer = composer;
    }

    public String getEvaluationDifficulty() {
        return evaluationDifficulty;
    }

    public void setEvaluationDifficulty(String evaluationDifficulty) {
        this.evaluationDifficulty = evaluationDifficulty;
    }

    public String getMusicImage() {
        return musicImage;
    }

    public void setMusicImage(String musicImage) {
        this.musicImage = musicImage;
    }


    public ActivityMusicVo score(double score) {
        this.score = score;
        return this;
    }

    public ActivityMusicVo userId(Long userId) {
        this.userId = userId;
        return this;
    }

    public ActivityMusicVo userAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
        return this;
    }

    public ActivityMusicVo username(String username) {
        this.username = username;
        return this;
    }

    public ActivityMusicVo userSubject(String userSubject) {
        this.userSubject = userSubject;
        return this;
    }
}
